# Interface ActiveUIView

interface ActiveUIView {
config: ViewConfig;
configUpdated: (config: ViewConfig) => void;
creationContext: ViewContext;
fqn: string;
id: number;
name: string;
}

- Defined in src/router/view/interface.ts:10

##### Index

### Properties

config
configUpdated
creationContext
fqn
id
name

## Properties

### config

config: ViewConfig

The ViewConfig that is currently loaded into the ui-view

- Defined in src/router/view/interface.ts:18

### configUpdated

configUpdated: (config: ViewConfig) => void

A callback that should apply a ViewConfig (or clear the ui-view, if config is undefined)

- Defined in src/router/view/interface.ts:22

### creationContext

creationContext: ViewContext

The state context in which the ui-view tag was created.

- Defined in src/router/view/interface.ts:20

### fqn

fqn: string

The ui-view's fully qualified name

- Defined in src/router/view/interface.ts:16

### id

id: number

An auto-incremented id

- Defined in src/router/view/interface.ts:12

### name

name: string

The ui-view short name

- Defined in src/router/view/interface.ts:14